OTPReports

Get customer's SMS destination reports

Fetch SMS destination reports based on customer's sent SMS. Destination report represents the count of SMS sent to a country during given time period and the total price for that SMS. For SMS destination reports, time period parameters filter by SMS created_at field. If no time filtration is provided in the request, by default report will be returned for the current day.

GET
/api/v1/sms/reports/destination

Query Parameters

period_end?string

Time period filter, determines the end of the period. Accepts string with time either as UNIX timestamp, or in format 2006-01-02T15:04:05Z07:00.

period_start?string

Time period filter, determines the start of the period. Accepts string with time either as UNIX timestamp, or in format 2006-01-02T15:04:05Z07:00.

Header Parameters

Authorization*string

Your API token

Response Body

application/json

application/json

application/json

curl -X GET "https://dev-refactor-api-e.voipenv.uk/api/v1/sms/reports/destination" \  -H "Authorization: string"
{
  "code": 0,
  "data": [
    {
      "cost": 0,
      "count": 0,
      "country": "string",
      "mcc": 0
    }
  ],
  "error_details": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  },
  "message": "string",
  "request_id": "string",
  "status": "ok"
}
{
  "code": 0,
  "error_details": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  },
  "message": "string",
  "request_id": "string",
  "status": "error"
}
{
  "code": 0,
  "error_details": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  },
  "message": "string",
  "request_id": "string",
  "status": "error"
}
Form Call To Action

Contact us

You can always send us a message or email. Weʼd be happy to help you out.